[Gpg4win-commits] r310 - in trunk/doc: . website

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Tue May 30 13:40:08 CEST 2006


Author: werner
Date: 2006-05-30 13:40:08 +0200 (Tue, 30 May 2006)
New Revision: 310

Added:
   trunk/doc/website/mk-chksums
Modified:
   trunk/doc/ChangeLog
   trunk/doc/website/Makefile.am
   trunk/doc/website/versions.m4
Log:
Add script to generate checksums and updated version file


Modified: trunk/doc/ChangeLog
===================================================================
--- trunk/doc/ChangeLog	2006-05-30 10:59:58 UTC (rev 309)
+++ trunk/doc/ChangeLog	2006-05-30 11:40:08 UTC (rev 310)
@@ -1,5 +1,7 @@
 2006-05-30  Werner Koch  <wk at g10code.com>
 
+	* website/mk-chksums: New.
+
 	* manual-de/durchblicker.tex (subsubsection{Zusammenfassung}):
 	Fixed c+p bug in the long prime.  Thanks to Ernst-Günter Giessmann
 	for reporting this.

Modified: trunk/doc/website/Makefile.am
===================================================================
--- trunk/doc/website/Makefile.am	2006-05-30 10:59:58 UTC (rev 309)
+++ trunk/doc/website/Makefile.am	2006-05-30 11:40:08 UTC (rev 310)
@@ -19,6 +19,7 @@
 
 EXTRA_DIST = README buildhtml.mk gpg4win.css index-de.htm4 index.htm4 \
              template.m4 template_header.m4 versions.m4 build-history.awk \
-             pix/disk.png pix/lock.png pix/logo.png
+             pix/disk.png pix/lock.png pix/logo.png mk-chksums
 
 
+

Added: trunk/doc/website/mk-chksums
===================================================================
--- trunk/doc/website/mk-chksums	2006-05-30 10:59:58 UTC (rev 309)
+++ trunk/doc/website/mk-chksums	2006-05-30 11:40:08 UTC (rev 310)
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Script to generate teh checksums for a release.
+
+version="$1"
+if [ -z "$version" ]; then
+  echo "usage: mk-chksums VERSION" >&2
+  exit 1
+fi
+
+for i in gpg4win-$version.tar.bz2 gpg4win-$version.exe \
+         gpg4win-light-$version.exe gpg4win-src-$version.exe ; do
+  if [ ! -f "$i" ]; then
+    echo "mk-chksums: file $i is missing in current directory" >&2
+    exit 1
+  fi
+done
+
+sha1_src="`sha1sum gpg4win-$version.tar.bz2 | awk '{print $1}'`"
+sha1_exe="`sha1sum gpg4win-$version.exe | awk '{print $1}'`"
+sha1_exl="`sha1sum gpg4win-light-$version.exe | awk '{print $1}'`"
+sha1_exs="`sha1sum gpg4win-src-$version.exe | awk '{print $1}'`"
+md5_src="`md5sum gpg4win-$version.tar.bz2 | awk '{print $1}'`"
+md5_exe="`md5sum gpg4win-$version.exe | awk '{print $1}'`"
+md5_exl="`md5sum gpg4win-light-$version.exe | awk '{print $1}'`"
+md5_exs="`md5sum gpg4win-src-$version.exe | awk '{print $1}'`"
+
+
+cat <<EOF
+m4_define(\`SHA1_SRC',\`$sha1_src')
+m4_define(\`SHA1_EXE',\`$sha1_exe')
+m4_define(\`SHA1_EXL',\`$sha1_exl')
+m4_define(\`SHA1_EXS',\`$sha1_exs')
+m4_define(\`MD5_SRC',\`$md5_src')
+m4_define(\`MD5_EXE',\`$md5_exe')
+m4_define(\`MD5_EXL',\`$md5_exl')
+m4_define(\`MD5_EXS',\`$md5_exs')
+EOF
\ No newline at end of file


Property changes on: trunk/doc/website/mk-chksums
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/doc/website/versions.m4
===================================================================
--- trunk/doc/website/versions.m4	2006-05-30 10:59:58 UTC (rev 309)
+++ trunk/doc/website/versions.m4	2006-05-30 11:40:08 UTC (rev 310)
@@ -1,24 +1,24 @@
-m4_define(`VERSION',`1.0.1')
+m4_define(`VERSION',`1.0.2')
 m4_define(`DOWNLOAD_URL',`http://ftp.gpg4win.org/gpg4win-VERSION.exe')
-m4_define(`DL_SIZE',`6.6 MByte')
+m4_define(`DL_SIZE',`6.2 MByte')
 m4_define(`LDOWNLOAD_URL',`http://ftp.gpg4win.org/gpg4win-light-VERSION.exe')
-m4_define(`LDL_SIZE',`4.5 MByte')
-m4_define(`DL_DATE',`2006-04-26')
+m4_define(`LDL_SIZE',`4.6 MByte')
+m4_define(`DL_DATE',`2006-05-30')
 m4_define(`DLPAGE',`I18N(`EN',`download.html')`'I18N(`DE',`download-de.html')')
-m4_define(`SHA1_SRC',`4d111814dfd4b0b7dd1a8a0fb81beaee477693dc') m4_dnl gpg4win-n.n.n.tar.bz2
-m4_define(`SHA1_EXE',`c55f73561a2e013599b1c9aa6cb1291abd06c18d') m4_dnl gpg4win-n.n.n.exe
-m4_define(`SHA1_EXL',`f8e9dd1cf3225fbd6e66454e6eda603a21d436f7') m4_dnl gpg4win-light-n.n.n.exe
-m4_define(`SHA1_EXS',`6eb5fe537cc2423d57c4e485b4c56804d5be0d93') m4_dnl gpg4win-src-n.n.n.exe
-m4_define(`MD5_SRC',`7905750f45ebe967632d7010ffe377f6') m4_dnl gpg4win-n.n.n.tar.bz2
-m4_define(`MD5_EXE',`c61787a524a5b943488731ff48d4c48f') m4_dnl gpg4win-n.n.n.exe
-m4_define(`MD5_EXL',`85d42c6f52caf0402910aa4f5e10f785') m4_dnl gpg4win-light-n.n.n.exe
-m4_define(`MD5_EXS',`3cb95e8ab38f95e16b9b2ed161a0cd9c') m4_dnl gpg4win-src-n.n.n.exe
+m4_define(`SHA1_SRC',`caa3c502645ece898281ca2f47cff4ce81657d0c')
+m4_define(`SHA1_EXE',`8d4aa1799096da33c8e961f44e5b5ceff0fc6647')
+m4_define(`SHA1_EXL',`ed93fc55e3cb221f2b0e0b96c660fb7d87f490bb')
+m4_define(`SHA1_EXS',`1d82a8f54819d487f6078aab4343fefa24504aa4')
+m4_define(`MD5_SRC',`20f0588c5777cbe7834d751175fe98e2')
+m4_define(`MD5_EXE',`ce25314e788c0434ead74cfe0662f6c5')
+m4_define(`MD5_EXL',`9886cbb42200393be5f3e0d019ee31ba')
+m4_define(`MD5_EXS',`c216828825d606dcdfe9e1b70cb3fcc7')
 m4_define(`SOFTWARE',`
 I18N(`EN', `<a href="http://www.gnupg.org/">GnuPG</a>')I18N(`DE', `<a href="http://www.gnupg.de/">GnuPG</a>') 1.4.3
-<a href="http://www.winpt.org/">WinPT</a> 0.11.12
+<a href="http://www.winpt.org/">WinPT</a> 0.12.1
 I18N(`EN', `<a href="http://www.gnupg.org/related_software/gpa/index.html">GPA</a>')I18N(`DE', `<a href="http://www.gnupg.de/related_software/gpa/index.html">GPA</a>') 0.7.3
 <a href="http://www.g10code.de/p-gpgol.html">GPGol</a> 0.9.10
 <a href="http://gpgee.excelcia.org/">GPGee</a> 1.3.1
-<a href="http://claws.sylpheed.org/">Sylpheed-Claws</a> 1.9.100cvs124
-<a href="/handbuecher/einsteiger.html">Gpg4win für Einsteiger</a> 2.0.1
-<a href="/handbuecher/durchblicker.html">Gpg4win für Durchblicker</a> 2.0.1')
+<a href="http://claws.sylpheed.org/">Sylpheed-Claws</a> 2.2.0
+<a href="/handbuecher/einsteiger.html">Gpg4win für Einsteiger</a> 2.0.2
+<a href="/handbuecher/durchblicker.html">Gpg4win für Durchblicker</a> 2.0.2')



More information about the Gpg4win-commits mailing list